signal_handler Struct Reference
Intra-application signals

## Data Fields

struct llist_head | entry
unsigned int | subsys
osmo_signal_cbfn * | cbfn
void * | data

## Field Documentation

## cbfn

osmo_signal_cbfn* signal_handler::cbfn

Referenced by osmo_signal_dispatch(), osmo_signal_register_handler(), and osmo_signal_unregister_handler().

## data

void* signal_handler::data

Referenced by osmo_signal_dispatch(), osmo_signal_register_handler(), and osmo_signal_unregister_handler().

## entry

struct llist_head signal_handler::entry

Referenced by osmo_signal_dispatch(), osmo_signal_register_handler(), and osmo_signal_unregister_handler().

## subsys

unsigned int signal_handler::subsys

Referenced by osmo_signal_dispatch(), osmo_signal_register_handler(), and osmo_signal_unregister_handler().

The documentation for this struct was generated from the following file:

- src/signal.c